Subject: Re: git gtk+/GNOME gui application: gitg

From: Jesse van den Kieboom <[email-masked]>
Date: Wed, 04 Feb 2009 15:33:45 +0100

Op woensdag 04-02-2009 om 15:29 uur [tijdzone +0100], schreef Michael J
Gruber:
> Jesse van den Kieboom venit, vidit, dixit 31.01.2009 21:05:
> > Hi,
> > 
> > I have been developing a gui application for git for gtk+/GNOME based on
> > GitX (which in turn is based on gitk). I feel that it's reaching the
> > point where it might potentially be useful for other people to use. It
> > currently features:
> > 
> > - Loading large repositories very fast
> > - Show/browse repository history
> > - Show highlighted revision diff
> > - Browse file tree of a revision and export by drag and drop
> > - Search in the revision history on subject, author or hash
> > - Switch between history view of branches easily
> > - Commit view providing per hunk stage/unstage and commit
> > 
> > The project is currently hosted on github:
> > http://github.com/jessevdk/gitg
> > 
> > clone: git://github.com/jessevdk/gitg.git
> > 
> > Please let me know what you think,
> 
> OK, played with it, looks nice. Some feedback:
> 
> Bug:?
> After unstaged a staged file it does not reappear under "unstaged". It
> appears nowhere.

Hmm this _should_ happen, if it doesn't it's certainly a bug.

> 
> Build:
> gitg can't run from the build dir, it needs to be installed.
> Reconfiguring with different --prefix does not rebuild (one needs to
> make clean manually).

This is true, I got a patch to fix this, but I'm not sure it should go
in (e.g. read data files from current working directory). It's not
common to be able to run C/gtk+ apps from the build directory, you
should install them in a local prefix.

> Features:
> Displaying the subject after the parent shas etc would be nice.
> Maybe forward/back buttons for taking you forward/back in your *browsing
> history*? Say, you click on a parent, and then you want to get back.

Showing the parent subject should be fairly easy to fix, I'll see if I
can get that in. I have thought about a history-history, but I haven't
felt the need to use it yet (also I don't think GitX has this), but it
might be worth implementing.

> Can one stage hunks somehow?

Yes, you can click on the hunk header @@...@@ when viewing the diff in
the commit view. You can also rightclick on this header and revert a
hunk (or stage/unstage it from the context menu).

> Cheers,
> Michael
-- 
Jesse van den Kieboom

Personal: http://www.icecrew.nl
Professional: http://www.novowork.com